CF complains that latest version of Firefox is out of date

I have encountered this error several times in the past week. Firefox has been updated to 120.0.1. Somone is out of that and, in this case, it seems to be Cloudflare because it says:
http://community.cloudflare.com
community.cloudflare.com needs to review the security of your connection before proceeding.

> Your browser is out of date!</b><br/>Update your browser to view this website correctly. <a target="_blank" rel="noopener noreferrer" href="https://developers.cloudflare.com/fundamentals/get-started/concepts/cloudflare-challenges/#browser-support">More Information.</a>

My question is why, if you can’t keep up with the pace of change in the wild, would you be so foolish as to put such arbitrary, strict limist on your product as to cause it to behave more like a denial of service attach than a value-added feature?

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.